import datetime
import pickle
import time


def is_time_diff_greater_than_10_minutes(runtime):  # TODO: 判断上次运行时间和当前时间做对比
    # 获取当前时间
    current_time = datetime.datetime.now()

    try:
        # 尝试加载上次运行时间
        with open('C:\windows\\temp\last_run_time.pkl', 'rb') as file:
            last_run_time = pickle.load(file)
    except FileNotFoundError:
        # 如果找不到上次运行时间文件，则认为是第一次运行程序

        # 更新上次运行时间为当前时间，并保存到文件
        with open('C:\windows\\temp\last_run_time.pkl', 'wb') as file:
            pickle.dump(current_time, file)
        last_run_time = None

    if last_run_time:
        # 计算时间间隔
        time_diff = current_time - last_run_time
        # 判断时间间隔是否大于10分钟
        if time_diff.total_seconds() / 60 > runtime:
            # 更新上次运行时间为当前时间，并保存到文件
            with open('C:\windows\\temp\last_run_time.pkl', 'wb') as file:
                pickle.dump(current_time, file)
            return True

    return False


while True:
    if is_time_diff_greater_than_10_minutes(1):
        print('大于1-------------------------------------------')
        # break
    else:
        print('小于1')
    time.sleep(10)
